Workflow Execution Details API
Use this API to fetch detailed information about a specific workflow execution and drill down into a particular execution instance. It provides data such as start and end times, execution status, input/output data, step-level results, and any errors encountered during the run.
Required Permissions
The following permissions are needed to get the workflow execution details.
- LIST ALL
- LIST WF BY TAGS
- LIST MY
Execution data is retained for the last 2 months only. Executions older than 30 days are not available via API.
Input ParametersInput Parameters
|
Parameter |
Mandatory/Optional |
Data Type |
Description |
|---|---|---|---|
|
executionId |
Mandatory |
String |
Provide a valid execution ID. Ensure it is UUID. For example, 0ffaf046-xxxx-xxxx-xxxx-aa25be52c2a1 |
|
includeSteps |
Optional |
Boolean |
When the includeSteps parameter is set to true, the API response includes the execution steps as part of the execution details. |
|
Authorization |
Mandatory |
String |
Authorization token to authenticate to the Qualys Cloud Platform. Prepend token with 'Bearer' and one space. For example - Bearer <authToken> |
Sample: Fetch detailed information about a specific workflow executionSample: Fetch detailed information about a specific workflow execution
API Request
curl -X POST '<qualys_base_url>/qflowapi/v1/executions/0e71f117-648f-4ad2-a3a9-8f1b857a1b70?includeSteps=false' -H "Accept: application/json" -H "Content-Type: application/json" -H "Authorization: Bearer <jwt token>"
Response
{
"data": {
"id": "0e71f117-648f-4ad2-a3a9-8f1b857a1b70",
"createdAt": 1746007562042,
"updatedAt": 1746007633097,
"tags": [
"created_by=0ffaf046-768b-79fc-83f6-aa25be52c2a1"
],
"workflow": "f516bcf4-f6fb-46ac-a54f-ddbcf2a2d24a",
"execution": "0e71f117-648f-4ad2-a3a9-8f1b857a1b70",
"customerId": "54f50897-26f3-c9af-83f9-e71459be70d9",
"status": "Success",
"startDate": 1746007562041,
"endDate": 1746007633052,
"details": {
"executionEndDate": 1746007633052
},
"linkedExecutionIds": null,
"executionType": "Simple",
"parentExecutionId": null,
"categories": {
"services": [],
"accounts": [
"@aa70acae-6ea8-3acf-b504-f327855b316a"
],
"regions": [
"us-east-1"
],
"resource_groups": [],
"projects": [
[]
],
"solutions": [
"AWS Best Practices"
],
"apps": [],
"cloud_providers": [
"AWS"
]
},
"source": "UI",
"variables": [
"region=us-east-1"
],
"parDateKey": "2025-04-30T00:00:00.000Z"
}
}